This repository has been archived by the owner. It is now read-only.

🐧 KeeperRL ↔ v23.4.2 #1255

Open
Daebis opened this Issue Nov 7, 2017 · 1 comment

Comments

Projects
None yet
2 participants
@Daebis

Daebis commented Nov 7, 2017

🚨 game KeeperRL is broken for me.

πŸ“– Here's the complete debug log.

πŸƒ Any additional details can go here!

@fasterthanlime

This comment has been minimized.

Show comment
Hide comment
@fasterthanlime

fasterthanlime Nov 7, 2017

Member

Here's what's happening:

  • This game ships both 32-bit and 64-bit Linux builds
  • It has two scripts, one for 32-bit, one for 64-bit
  • The app launches the first script, which happens to be 32-bit for you
  • Some libraries (in this case, libpng12) are not installed in 32-bit version on your system
  • The game fails to launch

Here's what I recommend

  • The developer should ship a single script, using Ethan's OpenHexagon launcher script as a template (maybe without the Darwin part!) to launch the 32-bit version or 64-bit version of the game automatically
  • This will resolve the issue for you, as the app will only see one script and then - invitably - launch the right one :)

(Note to developer: this ^ particular report is for the alpha23_free version, but I imagine they're both affected)

(I've reached out to the developer on the game page's comments).

Member

fasterthanlime commented Nov 7, 2017

Here's what's happening:

  • This game ships both 32-bit and 64-bit Linux builds
  • It has two scripts, one for 32-bit, one for 64-bit
  • The app launches the first script, which happens to be 32-bit for you
  • Some libraries (in this case, libpng12) are not installed in 32-bit version on your system
  • The game fails to launch

Here's what I recommend

  • The developer should ship a single script, using Ethan's OpenHexagon launcher script as a template (maybe without the Darwin part!) to launch the 32-bit version or 64-bit version of the game automatically
  • This will resolve the issue for you, as the app will only see one script and then - invitably - launch the right one :)

(Note to developer: this ^ particular report is for the alpha23_free version, but I imagine they're both affected)

(I've reached out to the developer on the game page's comments).

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.